From 08f1257488e874b2e32d08b3881316f8f5ddb3c9 Mon Sep 17 00:00:00 2001
From: manisha <manisha_kanyal.scsebtech@galgotiasuniversity.edu.in>
Date: Jun 05 2021 08:30:33 +0000
Subject: [PATCH 2/9] improve UI


---

diff --git a/src/wizard/Easyfix.js b/src/wizard/Easyfix.js
index ebccbfc..5e70370 100644
--- a/src/wizard/Easyfix.js
+++ b/src/wizard/Easyfix.js
@@ -1,4 +1,5 @@
 import React, { Component } from "react"
+import { Row } from "reactstrap"
 import { CollapsableCard } from "./components"
 
 export default class Easyfix extends Component {
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 5af0e8b..9ffd598 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -1,6 +1,6 @@
 import React, { Component } from "react"
 import Layout from "../layout/Layout"
-import { Container, Row } from "reactstrap"
+import { Card, CardBody, Col, Container, Row } from "reactstrap"
 
 import { connect } from "react-redux"
 import { loadWizardData } from "../actions/reduxActions"
@@ -64,31 +64,24 @@ class Wizard extends Component {
     console.log(this.state.steps)
     return (
       <Layout apiCallStatus={this.props.api_call_status}>
-        {/* <div className="bluebox"> */}
-        {/* <div className="bluebox">
-          <Container>
-            <WizardForm
-              show_actions={this.show_actions.bind(this)}
-              actions={this.props.all_actions}
-              providers={this.props.providers}
-            />
-            <h1>Nothing sparked joy?</h1>
-            <div>
-              None of the above looks interesting to you? We'd be happy if you looked around at{" "}
-              <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
-            </div>
-          </Container>
-        </div>
-        <Container>
-          <Row>
-            <div className="col-md-12">
-              <Actions data={this.state.actions} />
-            </div>
-          </Row>
-        </Container> */}
-        <Container>
-          <Wizard2 steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
-        </Container>
+        {/* <Card className=" d-flex justify-content-center">
+          <CardBody> */}
+        <Row className="justify-content-center align-items-center">
+          <Col md="12">
+            <Wizard2 steps={this.state.steps} onNext={this.onNext} onPrev={this.onPrev} />
+          </Col>
+          {this.state.steps.currentStep === "STEP1" ? (
+            <Col md="12">
+              <h1 className="padded text-center">Nothing sparked joy?</h1>
+              <h4 className="padded text-center">
+                None of the above looks interesting to you? We'd be happy if you looked around at{" "}
+                <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
+              </h4>
+            </Col>
+          ) : null}
+        </Row>
+        {/* </CardBody>
+        </Card> */}
       </Layout>
     )
   }
diff --git a/src/wizard/Wizard2.js b/src/wizard/Wizard2.js
index 17da2eb..b85006f 100644
--- a/src/wizard/Wizard2.js
+++ b/src/wizard/Wizard2.js
@@ -1,4 +1,5 @@
 import React from "react"
+import { Container } from "reactstrap"
 import Step1 from "./step/Step1"
 import Step2 from "./step/Step2"
 import Step3 from "./step/Step3"
@@ -10,12 +11,12 @@ const Wizard2 = (props) => {
   } = props
 
   return (
-    <div>
+    <Container className="steps">
       {currentStep === "STEP1" && <Step1 {...props} />}
       {currentStep === "STEP2" && <Step2 {...props} />}
       {currentStep === "STEP3" && <Step3 {...props} />}
       {currentStep === "STEP4" && <Step4 {...props} />}
-    </div>
+    </Container>
   )
 }
 
diff --git a/src/wizard/components.js b/src/wizard/components.js
index 4b2c8f3..b849d70 100644
--- a/src/wizard/components.js
+++ b/src/wizard/components.js
@@ -1,8 +1,35 @@
 import React, { Component } from "react"
-import { Card, CardHeader, CardBody, UncontrolledCollapse, Row } from "reactstrap"
+import {
+  Card,
+  CardHeader,
+  CardBody,
+  UncontrolledCollapse,
+  Row,
+  Modal,
+  ModalHeader,
+  ModalBody,
+  Col,
+  ModalFooter,
+  Button,
+} from "reactstrap"
 import uniqueID from "../helpers/uniqueID"
 
 class CollapsableCard extends Component {
+  constructor(props) {
+    super(props)
+    this.state = {
+      showModal: false,
+    }
+    this.toggleModal = this.toggleModal.bind(this)
+  }
+
+  toggleModal() {
+    let modalState = !this.state.showModal
+    this.setState({
+      showModal: modalState,
+    })
+  }
+
   render() {
     const { title, expand_text, expand_class, children } = this.props
     const id = uniqueID("collapsable-card-id-")
@@ -11,29 +38,78 @@ class CollapsableCard extends Component {
         <CardHeader>
           <Row>
             <div className="col-md-11">{title}</div>
+
             <div className="col-md-1">
-              <Toggler id={id} color={expand_class} text={expand_text} />
+              <Button
+                color="primary"
+                className="padded btn float-right"
+                onClick={this.toggleModal}>
+                "Show me!
+              </Button>{" "}
+              <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
+                <ModalBody>{children}</ModalBody>
+                <ModalFooter>
+                  <Button color="primary" onClick={this.toggleModal}>
+                    Close
+                  </Button>
+                </ModalFooter>
+              </Modal>
+              {/* <Toggler id={id} color={expand_class} text={expand_text} /> */}
             </div>
           </Row>
         </CardHeader>
-        <UncontrolledCollapse toggler={"#" + id}>
+        {/* <UncontrolledCollapse toggler={"#" + id}>
           <CardBody>{children}</CardBody>
-        </UncontrolledCollapse>
+        </UncontrolledCollapse> */}
       </Card>
     )
   }
 }
 
 class CollapsableBadge extends Component {
+  constructor(props) {
+    super(props)
+    this.state = {
+      showModal: false,
+    }
+    this.toggleModal = this.toggleModal.bind(this)
+  }
+
+  toggleModal() {
+    let modalState = !this.state.showModal
+    this.setState({
+      showModal: modalState,
+    })
+  }
   render() {
     const { expand_text, expand_class, children, type } = this.props
     const id = uniqueID("collapsable-badge-id-")
     return (
       <span>
-        <a class={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
+        {/* <a className={type + " " + type + "-" + expand_class} href="#" id={id} role="button">
           {expand_text}
         </a>
-        <UncontrolledCollapse toggler={"#" + id}>{children}</UncontrolledCollapse>
+        <UncontrolledCollapse toggler={"#" + id}>
+          <Card>
+            <CardBody>{children}</CardBody>
+          </Card>
+        </UncontrolledCollapse> */}
+        <Button
+          className={type + " " + type + "-" + expand_class}
+          href="#"
+          id={id}
+          color="primary"
+          onClick={this.toggleModal}>
+          {expand_text}
+        </Button>{" "}
+        <Modal isOpen={this.state.showModal} toggle={this.toggleModal}>
+          <ModalBody>{children}</ModalBody>
+          <ModalFooter>
+            <Button color="primary" onClick={this.toggleModal}>
+              Close
+            </Button>
+          </ModalFooter>
+        </Modal>
       </span>
     )
   }
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
index 5d399c7..4e34923 100644
--- a/src/wizard/step/Step1.js
+++ b/src/wizard/step/Step1.js
@@ -1,5 +1,5 @@
 import React, { useState } from "react"
-import { Card, CardBody, CardTitle, CardText, Button } from "reactstrap"
+import { Card, CardBody, CardTitle, CardText, Button, Col, Row, Container } from "reactstrap"
 
 const Step1 = (props) => {
   const [selectedItem, setItem] = useState(null)
@@ -10,41 +10,52 @@ const Step1 = (props) => {
   }
 
   return (
-    <div>
-      <Card
-        onClick={() => {
-          handleStep("SEVERAL_DAYS")
-        }}>
-        <CardBody>
-          <CardTitle tag="h5">SEVERAL_DAYS</CardTitle>
-          <CardText>
-            Some quick example text to build on the card title and make up the bulk of the card's
-            content.
-          </CardText>
-        </CardBody>
-      </Card>
-
-      <Card
-        onClick={() => {
-          handleStep("FEW_HOURS")
-        }}>
-        <CardBody>
-          <CardTitle tag="h5">FEW_HOURS</CardTitle>
-          <CardText>
-            Some quick example text to build on the card title and make up the bulk of the card's
-            content.
-          </CardText>
-        </CardBody>
-      </Card>
-
-      <Button
-        disabled={selectedItem === null}
-        onClick={() => {
-          onNext("STEP1", selectedItem)
-        }}>
-        Next
-      </Button>
-    </div>
+    <Row className="padded">
+      <Col sm="12">
+        <h1 className="text-center">
+          Click on any of the below card to see data of your choice and press next
+        </h1>
+      </Col>
+      <Col sm="6">
+        <Card
+          className={
+            "clickable text-center" + (selectedItem === "SEVERAL_DAYS" ? " card-selected" : "")
+          }
+          body
+          type="btn"
+          onClick={() => {
+            handleStep("SEVERAL_DAYS")
+          }}>
+          <h1 className="padded">Several Days</h1>
+          <CardText>click on the card to view Several Days </CardText>
+        </Card>
+      </Col>
+      <Col sm="6">
+        <Card
+          className={
+            "clickable text-center" + (selectedItem === "FEW_HOURS" ? " card-selected" : "")
+          }
+          body
+          type="btn"
+          onClick={() => {
+            handleStep("FEW_HOURS")
+          }}>
+          <h1 className="padded">Few Hours</h1>
+          <CardText>click on the card to view Few Hours </CardText>
+        </Card>
+      </Col>
+      <Col sm="12">
+        <Button
+          color="primary"
+          className="padded btn float-right"
+          disabled={selectedItem === null}
+          onClick={() => {
+            onNext("STEP1", selectedItem)
+          }}>
+          Next
+        </Button>
+      </Col>
+    </Row>
   )
 }
 
diff --git a/src/wizard/step/Step2.js b/src/wizard/step/Step2.js
index 8f2b0c6..4bc5a69 100644
--- a/src/wizard/step/Step2.js
+++ b/src/wizard/step/Step2.js
@@ -1,6 +1,6 @@
 import React, { useState } from "react"
 import { shallowEqual, useSelector } from "react-redux"
-import { Card, CardBody, CardTitle, CardText, Button, Row } from "reactstrap"
+import { Card, CardBody, CardTitle, CardText, Button, Row, Col } from "reactstrap"
 
 const Step2 = (props) => {
   const [selectedItem, setItem] = useState(null)
@@ -21,50 +21,26 @@ const Step2 = (props) => {
   const fewHours = providers.filter((provider) => provider.duration === 3)
   const severalDays = providers.filter((provider) => provider.duration === 72)
 
-  // const fewHours = [
-  //   {
-  //     title: "Bodhi Karma",
-  //     id: "BODHI",
-  //     details: {
-  //       description: "DESCRIPTION",
-  //       time: "7PM",
-  //     },
-  //   },
-  //   {
-  //     title: "Manual Karma",
-  //     id: "MANUAL",
-  //     details: {
-  //       description: "DESCRIPTION",
-  //       time: "7PM",
-  //     },
-  //   },
-  // ]
-
-  // const severalDays = [
-  //   {
-  //     title: "Programming Easy Fix",
-  //     id: "EASYFIX",
-  //     details: {
-  //       description: "DESCRIPTION",
-  //       time: "7PM",
-  //     },
-  //   },
-  // ]
-
   return (
-    <div>
+    <Row>
       {step.STEP1 === "SEVERAL_DAYS" && (
         <>
           {severalDays.map((item) => (
-            <Card
-              onClick={() => {
-                handleStep(item.provider)
-              }}>
-              <CardBody>
-                <CardTitle tag="h5">{item.name}</CardTitle>
-                <CardText>{item.description}</CardText>
-              </CardBody>
-            </Card>
+            <Col sm="6">
+              <Card
+                className={
+                  "clickable text-center" +
+                  (selectedItem === item.provider ? " card-selected" : "")
+                }
+                onClick={() => {
+                  handleStep(item.provider)
+                }}>
+                <CardBody>
+                  <CardTitle tag="h5">{item.name}</CardTitle>
+                  <CardText>{item.description}</CardText>
+                </CardBody>
+              </Card>
+            </Col>
           ))}
         </>
       )}
@@ -72,28 +48,42 @@ const Step2 = (props) => {
       {step.STEP1 === "FEW_HOURS" && (
         <>
           {fewHours.map((item) => (
-            <Card
-              onClick={() => {
-                handleStep(item.provider)
-              }}>
-              <CardBody>
-                <CardTitle tag="h5">{item.name}</CardTitle>
-                <CardText>{item.description}</CardText>
-              </CardBody>
-            </Card>
+            <Col sm="6">
+              <Card
+                className={
+                  "clickable text-center" +
+                  (selectedItem === item.provider ? " card-selected" : "")
+                }
+                onClick={() => {
+                  handleStep(item.provider)
+                }}>
+                <CardBody>
+                  <CardTitle tag="h5">{item.name}</CardTitle>
+                  <CardText>{item.description}</CardText>
+                </CardBody>
+              </Card>
+            </Col>
           ))}
         </>
       )}
-      <Button
-        onClick={() => {
-          onPrev("STEP1")
-        }}>
-        Previous
-      </Button>
-      <Button disabled={selectedItem === null} onClick={(e) => onNext("STEP2", selectedItem)}>
-        Next
-      </Button>
-    </div>
+      <Col sm="12">
+        <Button
+          className="padded float-left"
+          color="primary"
+          onClick={() => {
+            onPrev("STEP1")
+          }}>
+          Previous
+        </Button>
+        <Button
+          color="primary"
+          className="padded btn float-right"
+          disabled={selectedItem === null}
+          onClick={(e) => onNext("STEP2", selectedItem)}>
+          Next
+        </Button>
+      </Col>
+    </Row>
   )
 }
 
diff --git a/src/wizard/step/Step3.js b/src/wizard/step/Step3.js
index e39b6fa..9440e0a 100644
--- a/src/wizard/step/Step3.js
+++ b/src/wizard/step/Step3.js
@@ -1,11 +1,12 @@
 import React, { useState } from "react"
 import { shallowEqual, useSelector } from "react-redux"
-import { Card, CardBody, CardTitle, CardText, Button } from "reactstrap"
+import { Card, CardBody, CardTitle, CardText, Button, Col, Row } from "reactstrap"
 
 import FedoraManualTesting from "../FedoraManualTesting"
 import FedoraEasyKarma from "../FedoraEasyKarma"
 import Easyfix from "../Easyfix"
 import * as R from "ramda"
+import Step2 from "./Step2"
 
 const Step3 = (props) => {
   const [selectedItem, setItem] = useState(null)
@@ -18,48 +19,12 @@ const Step3 = (props) => {
   const handleStep = (option) => {
     setItem(option)
   }
-
-  const languages = [
-    {
-      title: "Bash",
-      id: "BASH",
-    },
-    {
-      title: "c",
-      id: "C",
-    },
-    {
-      title: "c#",
-      id: "C#",
-    },
-    {
-      title: "Html",
-      id: "HTML",
-    },
-    {
-      title: "javscript",
-      id: "JAVACRIPT",
-    },
-    {
-      title: "python",
-      id: "PYTHON",
-    },
-    {
-      title: "Php",
-      id: "PHP",
-    },
-    {
-      title: "Ruby",
-      id: "RUBY",
-    },
-  ]
-
+  const { STEP2 } = step
   const selectAction = (state) => state.wizard.all_actions
 
   const actions = useSelector(selectAction, shallowEqual)
   console.log(actions)
-  const grouped = R.groupBy((action) => action.provider, actions)
-  console.log(grouped)
+  const grouped = R.groupBy((action) => action.provider, actions[STEP2])
 
   const processData = (data, firstLevelGroupKey, secondLevelGroupKey) => {
     const getProcessedData = R.pipe(
@@ -74,87 +39,86 @@ const Step3 = (props) => {
     "testtype",
     "section"
   )
-  const easyfixTestingData = processData(grouped["easyfix"] || [], "repo_org", "repo_name")
 
-  console.log(manualTestingData)
-  console.log(easyfixTestingData)
+  const getData = () => {
+    const getUniqueTags = R.pipe(
+      R.map((action) => action.tags),
+      R.flatten,
+      R.uniq
+    )
+    const tags = getUniqueTags(grouped["easyfix"])
+    return tags
+  }
+
   return (
-    <div>
+    <Row>
       {step.STEP2 === "fedora_manual_testing" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("BODHI")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">BODI</CardTitle>
-              <CardText>
-                <FedoraManualTesting data={manualTestingData} key="fmtl" />
-              </CardText>
-            </CardBody>
-          </Card>
+        <Col sm="12">
+          <FedoraManualTesting data={manualTestingData} key="fmtl" />
           <Button
             onClick={() => {
               onPrev("STEP2")
-            }}>
+            }}
+            color="primary">
             Previous
           </Button>
-        </>
+        </Col>
       )}
 
       {step.STEP2 === "fedora_easy_karma" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("MANUAL")
-            }}>
+        <Col sm="12">
+          <Card>
             <CardBody>
-              <CardTitle tag="h5">MANUAL</CardTitle>
-              <CardText>
-                <FedoraEasyKarma data={grouped["fedora_easy_karma"]} key="karma" />
-              </CardText>
+              <FedoraEasyKarma data={grouped["fedora_easy_karma"]} key="karma" />
             </CardBody>
           </Card>
           <Button
+            className="padded btn float-left"
+            color="primary"
             onClick={() => {
               onPrev("STEP2")
             }}>
             Previous
           </Button>
-        </>
+        </Col>
       )}
-      {step.STEP2 === "EASYFIX" && (
+      {step.STEP2 === "easyfix" && (
         <>
-          {languages.map((item) => (
-            <>
+          {getData().map((lang) => (
+            <Col sm="6">
               <Card
+                className={
+                  "clickable text-center" + (selectedItem === lang ? " card-selected" : "")
+                }
                 onClick={() => {
-                  handleStep(item.id)
+                  handleStep(lang)
                 }}>
                 <CardBody>
-                  <CardTitle tag="h5">{item.id}</CardTitle>
-                  <CardText>
-                    Some quick example text to build on the card title and make up the bulk of the
-                    card's content.
-                  </CardText>
-                  <Easyfix data={easyfixTestingData} key="easyfix" />
+                  <CardTitle tag="h1">{lang}</CardTitle>
                 </CardBody>
               </Card>
-            </>
+            </Col>
           ))}
-
-          <Button
-            onClick={() => {
-              onPrev("STEP2")
-            }}>
-            Previous
-          </Button>
-          <Button disabled={selectedItem === null} onClick={(e) => onNext("STEP3", selectedItem)}>
-            Next
-          </Button>
+          <Col md="12">
+            <Button
+              className="padded btn float-left"
+              color="primary"
+              onClick={() => {
+                onPrev("STEP2")
+              }}>
+              Previous
+            </Button>
+            <Button
+              color="primary"
+              className="padded btn float-right"
+              disabled={selectedItem === null}
+              onClick={(e) => onNext("STEP3", selectedItem)}>
+              Next
+            </Button>
+          </Col>
         </>
       )}
-    </div>
+    </Row>
   )
 }
 
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 0d9fadf..bd2b774 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -1,5 +1,8 @@
 import React, { useState } from "react"
-import { Card, CardBody, CardTitle, CardText, Button } from "reactstrap"
+import { Card, CardBody, CardTitle, CardText, Button, Row, Col } from "reactstrap"
+import { shallowEqual, useSelector } from "react-redux"
+import * as R from "ramda"
+import Easyfix from "../Easyfix"
 
 const Step4 = (props) => {
   const [selectedItem, setItem] = useState(null)
@@ -9,147 +12,48 @@ const Step4 = (props) => {
     steps: { step },
   } = props
 
+  const { STEP2, STEP3 } = step
+
+  const selectAction = (state) => state.wizard.all_actions
+
+  const actions = useSelector(selectAction, shallowEqual)
+  console.log(actions)
+  const grouped = R.groupBy((action) => action.provider, actions[STEP2])
+
+  const processData = (data, firstLevelGroupKey, secondLevelGroupKey) => {
+    const getProcessedData = R.pipe(
+      R.groupBy((a) => a.extra_data[firstLevelGroupKey]),
+      R.map((v) => R.groupBy((a) => a.extra_data[secondLevelGroupKey], v))
+    )
+    return getProcessedData(data)
+  }
+
+  const getData = () => {
+    const actions = R.filter((a) => a.tags.includes(STEP3), grouped["easyfix"])
+    return actions
+  }
+
+  const easyfixTestingData = processData(getData() || [], "repo_org", "repo_name")
+
   const handleStep = (option) => {
     setItem(option)
   }
 
   return (
-    <div>
-      {step.STEP3 === "BASH" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("BASH")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">BASH</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "C" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("C")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">C</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "C#" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("C#")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">C#</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "HTML" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("HTML")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">HTML</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "JAVACRIPT" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("JAVACRIPT")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">JavaScript</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "PYTHON" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("PYTHON")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">PYTHON</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}{" "}
-      {step.STEP3 === "PHP" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("PHP")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">PHP</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}
-      {step.STEP3 === "RUBY" && (
-        <>
-          <Card
-            onClick={() => {
-              handleStep("RUBY")
-            }}>
-            <CardBody>
-              <CardTitle tag="h5">RUBY</CardTitle>
-              <CardText>
-                Some quick example text to build on the card title and make up the bulk of the
-                card's content.
-              </CardText>
-            </CardBody>
-          </Card>
-        </>
-      )}
+    <Row>
+      <Col sm="12">
+        <Easyfix data={easyfixTestingData} key="easyfix" />
+      </Col>
+
       <Button
+        className="padded btn float-left"
+        color="primary"
         onClick={() => {
           onPrev("STEP3")
         }}>
         Previous
       </Button>
-    </div>
+    </Row>
   )
 }
 

